function EFFECT:Init(data)
	local numParts = 25
	local ePos = data:GetOrigin()
	local emitter = ParticleEmitter(ePos)
	local eAng = data:GetAngle()
	local eX = eAng:Right()
	local eY = eAng:Up()
	local sz -- radius
	local sp -- speed
	for j=1,5 do
		sz = 4*j
		sp = 0.8*j*j
		for i=0, numParts-1 do
			local ang = 6.383*i/numParts
			local pos = math.cos(ang)*eX*sz + math.sin(ang)*eY*sz
			local vel = math.sin(ang)*eX*sp - math.cos(ang)*eY*sp
			vel = vel + math.cos(ang)*eX*(25 - 5*j) + math.sin(ang)*eY*(25 - 5*j)
			local particle = emitter:Add("sprites/psiglow",pos + ePos)
			if particle then
				particle:SetColor(200,0,255,255)
				particle:SetVelocity(vel+Vector()*0.00001)
				particle:SetLifeTime( 0 )
				particle:SetDieTime(0.6)
				particle:SetStartAlpha(255)
				particle:SetEndAlpha(0)
				particle:SetStartSize(0.4*j*j)
				particle:SetEndSize(0.1*j)
			end
		end
	end
	emitter:Finish()
end

function EFFECT:Think()
	return false
end

function EFFECT:Render()

end